# Class ExtractOptionsDataSourceMixin

#### Hierarchy (view full)

- ExtractFormDefinitionMixin
- ExtractDataSourcesMixin
- ExtractControlMixin
  - ExtractOptionsDataSourceMixin
    - IsSelectableValueDirective
    - InputSelectOptionsDirective

- Defined in packages/angular/form-system/src/lib/mixins/extract-options-data-source.mixin.ts:55
- Defined in packages/angular/form-system/src/lib/mixins/extract-options-data-source.mixin.ts:60

#####
Index

### Constructors

constructor

### Properties

control?
dataSource?
dataSourceLoader
injector
matFormField?
metadata?
ngControl
settings?
useDataSourceValue?
viewer?

### Methods

extractControl
extractDataSources
extractFormDefinition
extractOptionsDatasource

## Constructors

### constructor

- new ExtractOptionsDataSourceMixin(): ExtractOptionsDataSourceMixin

- #### Returns ExtractOptionsDataSourceMixin

  Inherited from ExtractControlMixin.constructor

## Properties

### `Protected` `Optional` control

control?: RxapFormControl<any, any, any>

Inherited from ExtractControlMixin.control

- Defined in packages/angular/form-system/src/lib/mixins/extract-control.mixin.ts:14

### `Protected` `Optional` dataSource

dataSource?: BaseDataSource<ControlOptions | Record<string, any>, BaseDataSourceMetadata, BaseDataSourceViewer<any>>

- Defined in packages/angular/form-system/src/lib/mixins/extract-options-data-source.mixin.ts:70

### `Protected` `Readonly` dataSourceLoader

dataSourceLoader: DataSourceLoader

- Defined in packages/angular/form-system/src/lib/mixins/extract-options-data-source.mixin.ts:64

### `Protected` `Readonly` injector

injector: Injector

- Defined in packages/angular/form-system/src/lib/mixins/extract-options-data-source.mixin.ts:72

### `Protected` `Optional` matFormField

matFormField?: null | MatFormField

Inherited from ExtractControlMixin.matFormField

- Defined in packages/angular/form-system/src/lib/mixins/extract-control.mixin.ts:12

### `Protected` `Optional` metadata

metadata?: BaseDataSourceMetadata

- Defined in packages/angular/form-system/src/lib/mixins/extract-options-data-source.mixin.ts:66

### `Protected` ngControl

ngControl: null | NgControl | AbstractControlDirective

Inherited from ExtractControlMixin.ngControl

- Defined in packages/angular/form-system/src/lib/mixins/extract-control.mixin.ts:10

### `Protected` `Optional` settings

settings?: UseOptionsDataSourceSettings<any>

- Defined in packages/angular/form-system/src/lib/mixins/extract-options-data-source.mixin.ts:62

### `Protected` `Optional` useDataSourceValue

useDataSourceValue?: UseDataSourceValue<ControlOptions | Record<string, any>, ControlOptions | Record<string, any>>

- Defined in packages/angular/form-system/src/lib/mixins/extract-options-data-source.mixin.ts:74

### `Protected` `Optional` viewer

viewer?: BaseDataSourceViewer<any>

- Defined in packages/angular/form-system/src/lib/mixins/extract-options-data-source.mixin.ts:68

## Methods

### `Protected` extractControl

- extractControl(ngControl?): RxapFormControl<any, any, any>

- #### Parameters

  - ngControl: null | NgControl | AbstractControlDirective = ...

  #### Returns RxapFormControl<any, any, any>

  Inherited from ExtractControlMixin.extractControl

  - Defined in packages/angular/form-system/src/lib/mixins/extract-control.mixin.ts:16

### `Protected` extractDataSources

- extractDataSources(formDefinition, controlId): Map<string, UseDataSourceValue<any, any>>

- #### Parameters

  - formDefinition: FormDefinition<any, any, any>
  - controlId: string

  #### Returns Map<string, UseDataSourceValue<any, any>>

  Inherited from ExtractDataSourcesMixin.extractDataSources

  - Defined in packages/angular/form-system/src/lib/mixins/extract-data-sources.mixin.ts:9

### `Protected` extractFormDefinition

- extractFormDefinition(control): FormDefinition<any, any, any>

- #### Parameters

  - control: AbstractControl<any>

  #### Returns FormDefinition<any, any, any>

  Inherited from ExtractFormDefinitionMixin.extractFormDefinition

  - Defined in packages/angular/form-system/src/lib/mixins/extract-form-definition.mixin.ts:10

### `Protected` extractOptionsDatasource

- extractOptionsDatasource(control?): BaseDataSource<ControlOptions | Record<string, any>, BaseDataSourceMetadata, BaseDataSourceViewer<any>>

- #### Parameters

  - `Optional` control: AbstractControl<any, any>

  #### Returns BaseDataSource<ControlOptions | Record<string, any>, BaseDataSourceMetadata, BaseDataSourceViewer<any>>

  - Defined in packages/angular/form-system/src/lib/mixins/extract-options-data-source.mixin.ts:76